I'm trying to get my "No Service" to have t mobile service and I've come to here:

bbupdater -f ICE03.14.08_G.fls
and
bbupdater -e ICE03.14.08_G.eep

I put both the files under /usr/bin, but when I run the first command I get: Error: failed to open or read the FLS file
Done

And when I run the second it says my baseband bootloader is too old. Anyone?